Commit af656aee authored by Jens Kroeger's avatar Jens Kroeger
Browse files

EventLoaderEUDAQ2/README: remove mention of peary (which is a dependency of...

EventLoaderEUDAQ2/README: remove mention of peary (which is a dependency of eudaq2 and should be explained there + rephrase note on same compiler version
parent 484f4252
Pipeline #1529981 passed with stages
in 26 minutes and 12 seconds
......@@ -54,22 +54,9 @@ For instance, to allow decoding of Caribou data, the respective EUDAQ2 module ha
```bash
cmake -DUSER_CARIBOU_BUILD=ON ..
```
In this case, EUDAQ2 itself depends on [Peary](https://gitlab.cern.ch/Caribou/peary), which is the data acquisition software accompanying the Caribou readout system.
To switch off all interfaces that are not necessary when not operating devices, one can do:
```bash
cmake -DINTERFACE_EMULATION=ON ..
```
__Note:__ For an installatin on `lxplus` it is recommended to `source path/to/corryvreckan/etc/setup_lxplus.sh` not only before the installation of Corryvreckan but also before starting with the installation of EUDAQ2 to make sure the same compiler version is used for all libraries.
If also Peary is installed, the following order is recommended:
1. `source path/to/peary/.gitlab-ci.d/init_x86_64.sh`
2. install Peary as described [here](https://peary-caribou.web.cern.ch/peary-caribou/#compilation-installation)
3. `source path/to/corryvreckan/etc/setup_lxplus.sh`
4. install EUDAQ2 as described [here](https://github.com/eudaq/eudaq/)
5. install Corryvreckan
__Note:__
It is important to make sure that the same compiler version is used for the installation of Corryvreckan and all its dependencies such as EUDAQ2 (if enabled).
On `lxplus` this is achieved by running `source path/to/corryvreckan/etc/setup_lxplus.sh` before beginning the installation.
### Contract between EUDAQ Decoder and EventLoader
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment